/* -*- mode:c -*-
 *
 * Header file clamplex.h
 *
 * Copyright (c) 2002 Raoul M. Gough
 *
 * This material is provided "as is", with absolutely no warranty expressed
 * or implied. Any use is at your own risk.
 *
 * Permission to use or copy this software for any purpose is hereby granted 
 * without fee, provided the above notices are retained on all copies.
 * Permission to modify the code and to distribute modified code is granted,
 * provided the above notices are retained, and a notice that the code was
 * modified is included with the above copyright notice.
 *
 * History
 * =======
 * 2002/ 2/10	rmg	File creation
 */

#ifndef clamplex_rmg_20020210_included
#define clamplex_rmg_20020210_included

#include <stdio.h>

extern int resume_initial;
extern int openbraces;
extern void lexer_reprocess_last ();

extern "C" {
  int yyerror (const char *);
  int yywarning (const char *);
  int yylex ();

  extern char *yytext;
  extern FILE *yyout;
  extern int yylineno;
}

#endif // clamplex_rmg_20020210_included
